<%
##
## Changes the admin password
##
## Fields required:
##   pw1
##   pw2
##   _redirect

zap::getrequest { pw1 pw2 _redirect }

## Go for it
if { $asp::input(pw1) != $asp::input(pw2) } {
    zap::error "Supplied passwords are different, 
    not altering admin passwd";
}

if { [llength $asp::input(pw1) ] == 0 } {
    zap::error "Blank passwords are not allowed"
}

# Attempt to set it
reg::setbase "conf!admin!modules!access!users"
if { [ catch { reg::add "admin" $asp::input(pw1) "encrypted" 
             } result ] } {
    zap::error "Update failed: $result"
}

asp::redirect "$asp::input(_redirect)"

%>
