<! requires
  user >

$$set back=/apps/admin/;

<html>
<head>
<title>Zeus Admin Controller - Security settings</title>
</head>

<body bgcolor=#ffffff>

<table>
<tr>
  <td valign=top> 
   <img src="title.gif" hspace=10>
   <p align=right>
   <a href="/apps/admin/index.zap"><img src="back.gif" alt="[back]" align=bottom border=0 hspace=10></a>
  </td>
  <td valign=top>

<br>
<img src="security-title.gif">
<p>

This page allows you to change a variety of options to configure the
security of the Administration server to your requirements.

<dl>
<dt><b><font size=+1>Access restrictions</b></font>
<dd>

Access to the adminserver may be restricted to a subset of machines or
domain.  To restrict to a single machine, enter the name of the host
here, e.g. <font color=brown><tt>hera.zeus.co.uk</tt></font>.  To
restrict to a domain, enter the domain with a leading '.', e.g. <font
color=brown><tt>.zeus.co.uk</tt></font>.  For more complex
restrictions, start the DNS address with a ~ and a full regular
expression can be used, e.g. <font color=brown><tt>~^(hades|hera)\.zeus\.co\.uk$</tt></font>

<p>

This alteration will not take effect until the adminserver is
restarted.

$$set _base=conf!admin!modules!access!rules!1;
<form action="/apps/admin/regupdate.cgi" method=post>
<input type=hidden name="_base" value="$$_base;">
<input type=hidden name="_redirect" value="$$back;">

Restrict access to: 
<input type=text name="_add_text_hosts" value="$$hosts;">
<p>
<input type=submit value=Update>
</form>


<!---------------------------->

<dt><b><font size=+1>SSL operation</b></font>
<dd>

The administration server can be setup so the web interface runs over
SSL providing even more security.  If enabled, access to the
administration server is via 'https://' instead of 'http://'.
<p>
These alterations will not take effect until the admin server is restarted.

<p>

Keys may be created using the command line <tt>cert</tt> utility or
using the <a href="/apps/admin/certs/">web-based certificate
generation</a> page.

<p>
$$set _base=conf!admin!security;
<form action="/apps/admin/regupdate.cgi" method=post>
<input type=hidden name="_base" value="$$_base;">
<input type=hidden name="_redirect" value="$$back;">

<input type=hidden name=_add_boolean_enabled value=no>

<b>Enabled:</b>
<input type=checkbox name=_add_boolean_enabled value=yes 
 $$if enabled=yes; checked $$endif;>

<p>

<dl>
<dt><b>Public Certificate File</b>

<dd>
This is the name of the file that contains the X509 Certificate which contains your public key.<br>

<input type=text value="$$public_key;" size=40 name=_add_text_public_key>

<p><dt><b>Private Key File</b>

<dd>
This is the name of the file that contains the RSA Private Key.<br>
<input type=text value="$$private_key;" size=40 name=_add_text_private_key>

</dl>

<p>
<input type=submit value=Update>
</form>

<!---------------------------------------------------------->

<dt><b><font size=+1>Change admin password</b></font>
<dd>

Please enter the new password in both boxes.
<br>

Only if both boxes are the same will the password be updated.<p>

This alteration will not take effect until the adminserver is restarted.

<form method=post action=passwd.zap>
<input type=hidden name="_redirect" value="$$back;">

<table cellpadding=0 cellspacing=0>
<tr>
  <td>
    New password:
  </td>
  <td>
    <input type=password name=pw1 value="">
  </td>
</tr>
<tr>
  <td>
    New password:
  </td>
  <td>
    <input type=password name=pw2 value="">
  </td>
</tr>
</table>
<p>
<input type=submit value="Update">
</form>
 

</dl>

</table>

</body>
</html>

