$$set _base=conf!web!cluster;

<html>
<head>
<title>Cluster settings</title>
</head>

$$set back=/apps/web/cluster/status.zap;
$$include /../etc/header.asp;
<br>
<img src="title-clustersettings.gif" alt="Cluster Settings">
<p>


<blockquote>
Clustering allows multiple machines to seamlessly co-operate to
provide web services.  Clustering provides higher scalability,
fault-tolerance and the ability to upgrade/fix your hardware while
your mission critical websites seamlessly continue to function on the
remaining machines. <p>

</blockquote>

<p>

<dl>
<dt><h3>Machines</h3>
<dd>
  <dl>
  <dt><b>Back-end machines</b>
  <dd>
      Here you can provide the addresses of the machines in the server
      farm.  These are the machines that actually do the web-page
      processing. <p>

      $$if hosts=yes;
        <form action="/apps/admin/regupdate.cgi" method=post>
	<input type=hidden name=_base value="$$_base;">

	<table border=5>
	<tr>
	  <td bgcolor=#aaaaaa><b>Machine</b></td>
	  <td bgcolor=#aaaaaa>&nbsp;</td>
        </tr>
	$$for i in hosts;
	<tr>
	  <td bgcolor=#cccccc>$$i;</td>
	  <td><input type=submit name="hosts!_del_$$i;" value=Remove></td>
	</tr>
	$$next;
	</table>
	</form>
      $$else;
      <i>No backend machines are currently defined.</i>  
      $$endif;

      <p>

      <form action="/apps/admin/regupdate.cgi" method=post>
      <input type=hidden name=_base value="$$_base;">
      Each machine can either be an IP-address, or a DNS name. <br>
      Machine: 
      <input type=text size=16 value="" name="hosts!_addbr_text_id1">
      <input type=hidden value="" name=id1>
      <input type=submit value=Add>
      </form>
   </dl>
</dl>




<!--
<h3>Licence key</h3>

<blockquote>
   This field allows you to update the licence key used by Zeus
   Cluster.  When you upgrade from an evaluation version to a
   commercial version, plug the new licence key in here.

No longer available through admin interface
$$set _base=conf!packages!cluster;
<form action="/apps/admin/regupdate.cgi" method=post>
<input type=hidden name="_base" value="$$_base;">
<input type=hidden name="_redirect" value="/apps/web/">
<input type=text name="_add_text_key" value="$$key;" size=21>
<input type=submit value="Update Licence">
</form>
-->

</blockquote>


   

</td>
</tr>
</table>

</body>
</html>

