<%
## Deletes a website from the webserver
## If successful, redirect to controller, else displays error
##
## Arguments
##  server

zap::getrequest { server }
set server $asp::input(server)

# Check if it is currently running
set runfile "$request::env(ZEUSHOME)/webadmin/conf/runningsites/$server"
if { [ file exists $runfile ] == 1 } {
    zap::error "This website is currently running, please stop the website
    before attempting to delete it."
}

# OK, its not running, its safe to delete it
set delfile "$request::env(ZEUSHOME)/webadmin/conf/sites/$server"

if { [ catch { file delete $delfile } result ] } {
    zap::error "Error deleting website <b>$server</b> : $result"
}

# All done
asp::redirect "/apps/web/"
%>
