<%
zap::getrequest { server }
set server $asp::input(server)
%>

<html>
<head>
<title><%= $server %> - Edit server</title>
</head>

<body bgcolor="#ffffff" link=#990066 vlink=#990066 alink=#990066>

<table>
<tr>
 <td valign=top>
  <img src="/apps/web/title.gif" hspace=10 alt="">
  <p align=right>
  <a href="/apps/admin/docsystem/" target="help" onClick=
    "window.open('','help','resizable=1,width=640,height=500'); return true;">
  <img src="/apps/web/docs.gif" 
   alt="[docs]" align=bottom border=0 hspace=0></a>
  <a href="/apps/web/"><img src="/apps/web/back.gif" 
  alt="[back]" align=bottom border=0 hspace=0></a>
  <a href="/apps/web/"><img src="/apps/web/home.gif" alt="[Controller]" 
   align=bottom border=0></a>
  </td>
  <td valign=top>

<table>
<tr>
  <td>
  <img src="/apps/web/title-editserver.gif" 
       alt="Edit Server <%= $server %>">
  </td>
</tr>
<tr>
  <td align=right>
  Server: <b><%=$server%></b>
  </td>
</tr>
</table>

<p>
<table>
<! standard ones first >
<center>
<tr>
  <td>
    <center>
    <a href="/apps/web/general.asp?server=<%= $server %>"
     ><img src="button-advanced.gif" border=0 alt="" hspace=5></a>
    </center>
  </td>
  <td>
    <center>
    <a href="/apps/web/ssl.asp?server=<%= $server %>"
     ><img src="button-security.gif" border=0 alt="" hspace=5></a>
    </center>
  </td>
  <td>
    <center>
    <a href="/apps/web/modules.zap?server=<%= $server %>"
     ><img src="button-modules.gif" border=0 alt="" hspace=5></a>
    </center>
  </td>
  <td>
    <center>
    <a href="/apps/web/del1.asp?server=<%= $server %>"
     ><img src="button-delete.gif" border=0 alt="" hspace=5></a>
    </center>
  </td>
</tr>

<tr>
   <td>
     <font size=-1><center>
     <a href="/apps/web/general.asp?server=<%= $server %>">
     General<br>Configuration</a><br>
     </center></font>
   </td>
   <td>
     <font size=-1><center>
     <a href="/apps/web/ssl.asp?server=<%= $server %>">
     SSL<br>Configuration</a><br>
     </center></font>
   </td>
   <td>
     <font size=-1><center>
     <a href="/apps/web/modules.zap?server=<%= $server %>">
     Module<br>Configuration</a><br>
     </center></font>
   </td>
   <td>
     <font size=-1><center>
     <a href="/apps/web/del1.asp?server=<%= $server %>">
     Delete<br>server <%= $server %></a><br>
     </center></font>
   </td>
</tr>
</table>

</center>

<! now the modules that are active >

<p><b><font size=+1>Module Configurables</font></b><p>

<dl>
<dd>
<%
## Now we need to work out which modules that are active have useful
## configuration so we can give them a button

set base "conf!web!servers!$server!modules"
foreach item [lsort -dictionary [zap::reglist $base]] {
    # Lets work out if this guy is enabled
    if { [zap::regget "$base!$item!enabled" ] != "yes" } { continue }

    # Now lets see if it has a link file that has LINK_HAVECONFIG set (bit 1)
    #
    # Format for a link file
    # 1st line: 32bit int comprising of flags defined below
    # 2nd line: href to module configuration page
    # 3rd line: Long description
    #
    # Flags are: 
    #    Have a useful configuration page                        : bit 1
    #    Am an inportant module that you don't want to turn off! : bit 2

    set filename "$request::env(DOCUMENT_ROOT)/apps/web/modules/$item/link"
    if [catch {server::cache $filename} content ] { continue }
    set lines [split $content \n]
    set flags [lindex $lines 0]
    set href  [lindex $lines 1]
    set desc  [lindex $lines 2]
    if { [ expr $flags & 1 ] == 0 }  { continue }

    # OK, its a file we want to display
    
    # Add a graphic, and a link to the given href + [?|&]server=$server
    if { [ string first "?" $href ] == -1 } { 
	append href "?"
    } else {
	append href "&"
    }
    append href "server=$server"
    asp::write "\n
    <a href=\"$href&back=$request::env(SCRIPT_NAME)?$request::env(QUERY_STRING)
    \">
    <img src=\"modules/$item/icon.gif\" border=0 vspace=1 hspace=1 
    alt=\"$desc\"></a>";
}


##
## Now check if the modified flag is set, and if so, provide a link to
## restart the website (if the webserver is running)
##

set file1 "$request::env(ZEUSHOME)/webadmin/conf/sites/$server"
set file2 "$request::env(ZEUSHOME)/webadmin/conf/runningsites/$server"
set modified 0
if { [ file exists $file1 ] && [file exists $file2 ] } {
    file stat $file1 mtime1
    file stat $file2 mtime2
    if { $mtime1(mtime) > $mtime2(mtime) } { set modified 1 }
}

#############################################################################
# Attempts to connect with a timeout, either errors or returns a 
# socket channel (blocking)
#
proc connect_timeout { host port timeout } {
    global connect_timeout ;# global table for our state info
    set connect_timeout(connected) ""
    set connect_timeout(socket) [socket -async $host $port]
    set t [expr $timeout*1000]
    set connect_timeout(timeoutid) [after $t { 
	close $connect_timeout(socket)
	set connect_timeout(connected) "no"
    }]
    fileevent $connect_timeout(socket) writable { 
	after cancel $connect_timeout(timeoutid)
	set connect_timeout(connected) "yes"
    }
    # Now wait if we didn't manage it straight away....
    if { $connect_timeout(connected) == "" } { 
	vwait connect_timeout(connected) 
    }
    if { $connect_timeout(connected) == "yes" } { 
	# Ensure we are back blocking again
	fconfigure $connect_timeout(socket) -blocking yes 
	return $connect_timeout(socket) 
    }
    error "Connect timeout"
}

if { $modified } {
    # non-zero if any webserver processes are alive
    set webserver_alive 0

    set hostsfile "$request::env(ZEUSHOME)/webadmin/conf/hosts"
    catch {
	# Read the contents of the hosts file to see what websites we have
	# configured.
	set f [open $hostsfile]
	set data [read $f]
	close $f

	# If we can connect to any one of these, we have a running server
	foreach myserver $data {
	    if { $webserver_alive } { break }
	    # split server into host:port
	    regexp (.*):(\[0-9]+) $myserver tmp host port
	    # Try to connect to host:port
	    catch {
		set s [ connect_timeout $host $port 2 ]
		puts $s "info\n"; flush $s
		set tmp [ read $s ]
		close $s

		# must be alive
		incr webserver_alive
	   }
	}
    }

    if { $webserver_alive != 0 } {
	asp::write "<p>Configuration changes have been made. Click ";
	asp::write "<a href=\"website.zap?website=$server&action=restart\"> "
	asp::write "here</a> to (re)start server $server";
    }
}

%>

</dl>

%>


<%
asp::include etc/footer.html
%>
