<% 

## Deletes the given rule, then redirects to the rules page

zap::getrequest { server rule }
set server $asp::input(server)
set rule   $asp::input(rule)

set branch "conf!web!servers!$server!modules!access!rules";

# First delete the rule
if [ catch { reg::delete "$branch!$rule" } result ] {
    if { [ string match "*Access denied" $result ] } {
	asp::authenticate "Registry update"
    }
    zap::error "Error updating registry: $result"
}

# Now rearrange to ensure rules are contiguous
set rules [lsort [zap::reglist $branch]]

set i 0
foreach line $rules {
    if { $line != $i } {
	reg::rename $branch!$line $i
    }
    incr i
}

# Now redirect back to front
asp::redirect "/apps/web/modules/access/rules.asp?server=$server"

%>
