<! Required variables
   server
>
$$set help=/apps/web/docs/modules/isapi/index.html;
$$set _base=conf!web!servers!$$server;!modules!isapi;

<title>$$server; - ISAPI configuration</title>

$$set edittitle=ISAPI Configuration;
$$include /../header.asp;

ISAPI provides a vendor-independent way of extending the functionality
of your web server. It offers far more flexibility than the CGI
interface and avoids all the performance limitations.

<p>

However, you should note that ISAPI modules are loaded directly into
the server and run as part of the server process, this does have
security and reliability implications. For this reason ISAPI should be
seen as a platform to build high-performance applications with, and not
entirely as a replacement for other alternatives such as CGI.

<p>

ISAPI extensions will only be run from designated ISAPI alias
directories defined by the map module.

<p><hr size=1 width=80%>

<dl>
<dt><font size=+1><b>Registered Filters</b></font>
<dd>

$$if filters=yes;
<! there are some filters >
  <form action="/apps/admin/regupdate.cgi" method=post>
  <input type=hidden name=_base value="$$_base;">

  <table border=5>
    <tr>
      <td bgcolor=#aaaaaa><b>Filename</b></td>
    </tr>
    $$for i in filters;
    <tr>
      <td bgcolor=#cccccc>$$i;</td>
      <td><input type=submit name="filters!_del_$$i;" value=Delete></td>
    </tr>
    $$next;
  </table>
</form>

$$else;
<! there aren't any filters >
No filters are currently installed.
$$endif;

<p><dt><hr size=1 width=80%>
<p><dt><font size=+1><b>Add Filter</b></font>
<dd>

<form action="/apps/admin/regupdate.cgi" method=post>
<input type=hidden name=_base value="$$_base;">

Filename: <input type=text size=30 value="" name="filters!_addbr_text_id1">
<input type=hidden name=id1 value="">
<input type=submit value=Add>
</form>

</dl>

$$include /../footer.asp;
