<! Required variables
   server
>
$$set help=/apps/web/docs/modules/map/index.html;
$$set _base=conf!web!servers!$$server;!modules!map;

<title>$$server; - URL to physical file mapping</title>

$$set edittitle=URL to physical file mapping;
$$include /../header.asp;

This module performs the process of converting the client requested
URL into a file on your filesystem.  This includes support for home
directories, aliases, script aliases, ISAPI aliases and handlers.

<p><hr size=1 width=80%>

<dl>
<dt><font size=+1><b>Home directories</b></font>
<dd>

<form action="/apps/admin/regupdate.cgi" method=post>
<input type=hidden name=_base value="$$_base;">
<input type=hidden name=_redirect value="$$back;">
<input type=radio value=yes name=homedir!_add_boolean_enabled
 $$if homedir!enabled=yes; checked=yes $$endif; >On
<input type=radio value=no name=homedir!_add_boolean_enabled
 $$if homedir!enabled=no;  checked=yes $$endif; >Off
<br>

<hr noshade size=1>

<table>
<tr>
  <td>
    User database file:
  </td>
  <td>
    <input type=text size=30 value="$$homedir!file;"
     name=homedir!_add_text_file>
  </td>
</tr>
<tr>
  <td>
    Home directory path:<br>
    <font size=-1>if set, used in preference to above</font>
  </td>
  <td>
     <input type=text size=30 value="$$homedir!path;" 
      name=homedir!_add_text_path>
   </td>
</tr>

<tr>
  <td>
    Subdirectory: 
  </td>
  <td>
    <input type=text value="$$homedir!dir;" 
     name=homedir!_add_text_dir>
  </td>
</tr>

<tr><td colspan=2><hr noshade size=1></td></tr>

<tr>
   <td>LDAP URL:<br>
       <font size=-1 color=gray>$u gets expanded as username</font>
   </td>
   <td><input type=text size=30 value="$$homedir!ldap_url1;"
	name=homedir!_add_text_ldap_url1></td>
</tr><tr>
</tr><tr>
   <td>LDAP URL (2):<br>
       <font size=-1 color=gray>
       Optional, allows nested queries where a subsequent search can
       be performed based on the results of the first search.<br>
       $u gets expanded as username<br>
       $r gets expanded as result of first url search above</font>
   </td>
   <td><input type=text size=30 value="$$homedir!ldap_url2;"
        name=homedir!_add_text_ldap_url2></td>
</tr><tr>
   <td>Homedir prefix:
       <br><font size=-1 color=gray>e.g. /home</font>
   </td>
   <td><input type=text size=30 value="$$homedir!ldap_homeprefix;"
       name=homedir!_add_text_ldap_homeprefix></td>
</tr><tr>
   <td><b>Authentication</b></td>
</tr><tr>
   <td>&nbsp;&nbsp;&nbsp;&nbsp;Binddn:</td>
   <td><input type=text size=30 value="$$homedir!ldap_binddn;"
        name=homedir!_add_text_ldap_binddn></td>
</tr><tr>
   <td>&nbsp;&nbsp;&nbsp;&nbsp;Password:</td>
   <td><input type=text size=30 value="$$homedir!ldap_passwd;"
        name=homedir!_add_text_ldap_passwd></td>
</tr><tr>
   <td>Cache TTL<br>
       <font size=-1 color=gray>(seconds)</font></td>
   <td><input type=text size=10 value="$$homedir!ldap_cachettl;"
        name=homedir!_add_integer_ldap_cachettl></td>
</tr>

<tr><td colspan=2><hr noshade size=1></td></tr>

</table>

<input type=submit value=Update>
</form>

<dt><hr size=1 width=80%>

<p><dt><font size=+1><b>Aliases</b></font>
<dd>
Aliases allow you to mount arbitrary directories under portions of your
document tree.
<p>

$$if alias=yes;
  <form action="/apps/admin/regupdate.cgi" method=post>
  <input type=hidden name=_base value="$$_base;">

  <table border=5>
    <tr>
      <td bgcolor=#aaaaaa><b>Docroot path</b></td>
      <td bgcolor=#aaaaaa><b>Filesystem directory</b></td>
      <td bgcolor=#aaaaaa><b>Type</b></td>
    </tr>
    $$for i in alias;
    <tr>
      <td bgcolor=#cccccc>$$i;</td>
      <td bgcolor=#cccccc>$$alias!$$i;!filepath;</td>
      <td bgcolor=#cccccc>$$alias!$$i;!type;</td>
      <td><input type=submit name="alias!_del_$$i;" value=Delete></td>
    </tr>
    $$next;
  </table>
</form>

$$else;
<! there aren't any aliases >
<i>No aliases are currently defined.</i>
$$endif;

<p>
<form action="alias.zap?$$server;" method=post>
<input type=hidden name=server value="$$server;">
<table>
  <tr>
     <td>Docroot path:</td>
     <td><input type=text size=20 value="" name="path"></td>
  </tr>
  <tr>
     <td>Filesystem directory:</td>
     <td><input type=text size=20 value="" name="dir"></td>
  </tr>
  <tr>
     <td>Alias type</td>
     <td><select name=type>
	 $$for i in alias_types;
	 <option>$$i;
	 $$next;
	 </select>

     <td><input type=submit value="Add New Alias"></td> 

</table>
</form>


<dt><hr size=1 width=80%>

<p><dt><font size=+1><b>Handlers</b></font>
<dd>

Handlers allow you force any request for a certain file extension to
be handled by a CGI or ISAPI handler.  The CGI/ISAPI is executed with
the requested URL as <tt>PATH_INFO</tt> information.  For example, if
a handler for <tt>.php</tt> extensions is setup to be
<tt>/cgi-bin/php.cgi</tt>, then a request for <tt>/sales/index.php</tt>
will be remapped internally as if the client has requested 
<tt>/cgi-bin/php.cgi/sales/index.php</tt>.  This allows the CGI/ISAPI to
emit HTML containing relative links, since the client's browser will
assume all links will be relative the to <tt>/sales</tt> directory.

<p>

$$if handlers=yes;
  <form action="/apps/admin/regupdate.cgi" method=post>
  <input type=hidden name=_base value="$$_base;">

  <table border=5>
    <tr>
      <td bgcolor=#aaaaaa><b>File extension</b></td>
      <td bgcolor=#aaaaaa><b>Handler</b></td>
    </tr>
    $$for i in handlers;
    <tr>
      <td bgcolor=#cccccc>$$i;</td>
      <td bgcolor=#cccccc>$$handlers!$$i;;</td>
      <td><input type=submit name="handlers!_del_$$i;"
      value=Delete></td>
    </tr>
    $$next;
  </table>
</form>

$$else;
<! there aren't any handlers >
<i>No handlers are currently defined.</i>
$$endif;

<p>
<form action="/apps/admin/regupdate.cgi" method=post>
<input type=hidden name=_base value="$$_base;">
<table>
  <tr>
     <td>File extension:<br><font size=-1>( excluding '.' )</font></td>
     <td><input type=text size=20 value=""
                name="handlers!_addbr_text_id1"></td>
  </tr>
  <tr>
     <td>Handler:</td>
     <td><input type=text size=20 value="" name=id1></td>
     <td><input type=submit value=Add></td>
  </tr>
</table>
</form>
</dl>
     
$$include /../footer.asp;
