$$set edittitle=Throttling Module;
$$set _base=conf!web!servers!$$server;!modules!throttle;
$$set help=/apps/web/docs/modules/throttle/index.html;

<title>$$server; - Server Throttling</title>

$$include /../header.asp;

Server throttling allows you to restrict the amount of bandwidth that any
one server can use.  This value is the maxiumum transfer rate for accesses
on that server.  Traffic will be slowed down to prevent the bandwidth usage
going over that figure for any period of time.

<hr size=1 width=80%>


<dl>
<form action=/apps/admin/regupdate.cgi method=post>
<input type=hidden name=_base value="$$_base;">
<input type=hidden name=_redirect value="$$back;">
<dt><font size=+1><b>Maximum transfer rate</b></font>
<dd>Enter the maximum amount of bandwidth that this virtual server can use.
<br>A value of 0 means unlimited.
<br>
<input type=text value="$$limit;" name=_add_integer_limit align=right size=10> bytes/second.
<p>
<dt><font size=+1><b>Maximum Simultaneous Connections</b></font>
<dd>This is the maximum number of simultaneous connections to this virtual 
server to allow.<br>

<input type=text value="$$maxconns;" name=_add_integer_maxconns align=right size=10>
<p>
<dt><font size=+1><b>Independent Subservers</b></font>
<dd>When using subservers, you can set whether the throttling limits
should apply to each subserver independently, or to the entire virtual
server.<br>

<input type=radio value="yes" name=_add_boolean_subserver
$$if subserver=yes; checked=yes $$endif;> Each subserver gets
independent throttling limits
<br>
<input type=radio value="no" name=_add_boolean_subserver
$$if subserver=no; checked=yes $$endif;> Throttling limits applied
globally to all subservers

<p>

<dt><input type=submit value=Update>
</form>
</dl>


     
$$include /../footer.asp;
