<%

# Arguments: action/host

zap::getrequest { action host }
set action $asp::input(action)
set host   $asp::input(host)

set hostsfile "$request::env(ZEUSHOME)/webadmin/conf/hosts"
set f [open $hostsfile]
set backends [lsort -dictionary [read $f]]
close $f

if { $action == "add" } {
    # Check host is of correct format "host:port"
    if { ! [string match "?*:\[0-9]\[0-9]*" $host] } {
	zap::error "Webserver location in invalid format, should be host:port"
    }
    set found 0
    foreach i $backends {
	if { $i == $host } { set found 1 }
    }
    if { !$found } { lappend backends $host }
}
if { $action == "delete" } {
    set backends2 {}
    foreach i $backends {
	if { $i != $host } { lappend backends2 $i }
    }
    set backends $backends2
}

set f [open $hostsfile "w+"]
puts $f [join $backends "\n"]
close $f


asp::redirect "$request::env(HTTP_REFERER)"
%>
