<! Required variables
   server
>
$$set help=/apps/web/docs/controller/controller.html%23general;
$$set _base=conf!web!servers!$$server;;
$$set back=/apps/web/edit.zap?server=$$server;;

<title>$$server; - General Server Configuration</title>

$$include /etc/header.asp;

$$set edittitle=General Server Configuration;
$$include /editheader.html;

<form action="/apps/admin/regupdate.cgi" method=post>
<input type=hidden name="_base" value="$$_base;">
<input type=hidden name=_redirect value="$$back;">

<dl>
<dt><font size=+1><b>Server address</b></font>
<dd>
  The address of the server, as it would be in a URL. 
  <br>
  (e.g. www.mysite.com, or www.mysite.com:8000) 
  <br>
  <input name=_add_text_ip_name text=text size=30 value="$$ip_name;"> :
  <input name=_add_integer_port type=text value="$$port;" size=5>


<p><dt><font size=+1><b>Document Root</b></font>
<dd>
  The directory under which all the web pages are stored<br>
  <input name=_add_text_docroot type=text value="$$docroot;" size=40>
<p>

<p><dt><font size=+1><b>Webmaster e-mail address</b></font>
<dd>
   Here you can specify the e-mail address of the person responsible
   for this website.  Any error pages send to a client, such as 'File
   not found', will contain this e-mail address.  If no address is
   specified, Zeus will take a good guess.<br>

   <input name=_add_text_webmaster type=text value="$$webmaster;"
   size=40>
<p>

<dt><font size=+1><b>DNS Lookup</b></font>
<dd>

DNS lookup maps IP addresses to host names. This makes it easier to
see where people are accessing your pages from. It is also required to
do domain restricted access control. However, DNS does add a small
performance overhead and you can disable it if you wish.
<p>

<dl>
<dd>

<input type=radio value=yes name=_add_boolean_dnslookup
 $$if dnslookup=yes; checked=yes; $$endif; > Perform DNS lookup
<br>
<input type=radio value=no name=_add_boolean_dnslookup
 $$if dnslookup=no; checked=yes; $$endif; > No DNS lookup

</dl>
<p>

<dt><font size=+1><b>Error logging</b></font>
<dd>

This setting specifies the filename where any error information
generated by the virtual server will be logged.  Note this does not
include error information concerning starting / stopping the virtual
server, which is always logged to the global log file.  If the
filename is left blank, then all errors will be logged to the global
logfile.

<br>
<input type=text name=_add_text_errlog value="$$errlog;" size=30>
<p>


<dt><font size=+1><b>Soft-virtual server aliases</b></font>
<dd>

This setting only has any effect when this server is a 'soft-virtual
server'.  See the documentation system for more information.
The aliases are seperated by spaces.  If a <tt>*</tt> will map any
<tt>Host</tt> headers not taken by the other soft-virtual servers to
this virtual server.

<br>
<input type=text name=_add_text_aliases value="$$aliases;" size=30>
<p>

<dt><font size=+1><b>Bind address</b></font>
<dd>
By default the server will bind to the server address above.  However
you can override this and explicitly provide a comma-seperated list of
bind-addresses the server should bind to for this virtual server.

<br>
<input type=text name=_add_text_bindaddr value="$$bindaddr;" size=30>
<p>

<dt><font size=+1><b>Bind port</b></font>
<dd>
By default the server will bind to the port given in the server
address above.  However you can override this and explicitly provide a
different port the server should bind to for this virtual server.

<br>
<input type=text name=_add_text_bindport value="$$bindport;"
size=5>
<p>

</dl>

<p>
<input type=submit value=Update>
</form>


$$include /etc/footer.html;
