<%

## Creates a new rule, then redirects to the edit page to allow the
## use to edit it.

zap::getrequest { server }
set server $asp::input(server)

# First, count how many rules we currently have
set branch "conf!web!servers!$server!modules!access!rules";
set next [llength [zap::reglist $branch]]

# Work out if we are in 'LDAP mode' or not so we know which editrule page
# to redirect to
set editrule_page "editrule.asp";
if { [zap::regget "conf!web!servers!$server!modules!access!ldap!enabled"] == "yes" } { set editrule_page "editrule_ldap.asp" }

# Now redirect to the next one
asp::redirect "/apps/web/modules/access/$editrule_page?server=$server&rule=$next&back=rules.asp?server=$server"
%>
