<! Required variables
   server
>
$$set help=/apps/web/docs/modules/access/index.html;
$$set _base=conf!web!servers!$$server;!modules!access;
$$set back=/apps/web/edit.zap?server=$$server;;
<title>$$server; - Access Rules</title>

$$set edittitle=Access Rules;
$$include /../header.asp;


$$set _we_are_using_ldap=$$ldap!enabled;;


<p><hr size=1 width=80%>

<dl>
<dt><font size=+1><b>Current Rules</b></font>
<dd>

<p>
Access control rules allow you to restrict access to parts of your website.
You can set restrictions based on the address or name of the remote machine, 
or based upon usernames and passwords.  On each requests, the rules are 
processed in order.  If all the fields match the request, then that rule will
apply. Click on the rule number to edit the rule.
<p>

$$if rules=yes;
    <table border=3>
	<tr>	
	   <td></td>
	   <td><b>Rule</td>
	   <td><b>Type</td>
	   <td><b>URL</td>
	   <td><b>Hostnames</td>
	   <td><b>IP Addresses</td>
	   <td><b>Users</td>
	   <td><b>Groups</td>
	</tr>
    $$for i in rules;
	<tr>
	<td>
	<a href="up.zap?server=$$server;&rule=$$i;">$$up;</a>
	$$set up=^;
	</td>
	<td><center>
$$ifvar _we_are_using_ldap=yes;
<a href="editrule_ldap.asp?server=$$server;&rule=$$i;&back=rules.asp?server=$$server;">$$i;
$$else;
<a href="editrule.asp?server=$$server;&rule=$$i;&back=rules.asp?server=$$server;">$$i;
$$endif;
        </a></td>
	<td>$$rules!$$i;!type;</td>
	<td>$$rules!$$i;!url;&nbsp;</td>
	<td>$$rules!$$i;!hosts;&nbsp;</td>
	<td>$$rules!$$i;!ips;&nbsp;</td>
	<td>
	$$for j in rules!$$i;!users;
		$$set _base=conf!web!servers!$$server;!modules!access!users;
		$$j;
	$$next;
	&nbsp;
	$$set _base=conf!web!servers!$$server;!modules!access;
	</td>
	<td>
	$$for j in rules!$$i;!groups;
		$$set _base=conf!web!servers!$$server;!modules!access!groups;
		<!-- Can't do font red stuff because of the group all, which
	             always exists but wont be in registry -->
		$$j;
	$$next;
	&nbsp;
	</td>
	$$set _base=conf!web!servers!$$server;!modules!access;	
	</tr>
    $$next;
    </table>
$$else;
  <ul><i>No rules defined</i></ul>
$$endif;
<p>
<a href="newrule.zap?server=$$server;">Create a new rule</a>
</dl>

<p><hr size=1 width=80%>
<dl>
<dt><font size=+1><b>User Management</b></font>
<dd>

This option allows you to define where the server will look for
user/group information.

$$set _base2=$$_base;;
$$set _base=$$_base2;!ldap;

<form action="/apps/admin/regupdate.cgi" method=post>
  <input type=hidden name=_base value="$$_base;">
  <dl>
    <dd>
    <input type=radio value=no  name=_add_boolean_enabled
     $$if enabled=no;  checked=yes $$endif; > Use internal database
    <br>
    <input type=radio value=yes name=_add_boolean_enabled
     $$if enabled=yes; checked=yes $$endif; > Use external LDAP server
  </dl>
  <input type=submit value=Update>
</form>

$$ifvar _we_are_using_ldap=yes;
  <hr noshade size=1>
  LDAP Server setup

  <form action="/apps/admin/regupdate.cgi" method=post>
    <input type=hidden name=_base value="$$_base;">
    <input type=hidden name=_redirect value="$$back;">

    <table>
    <tr>
      <td>
	  User->Password URL:
	  <br><font size=-1 color=gray>$u gets expanded as username</font>
      </td><td>
	  <input type=text size=40 name=_add_text_user_url 
	   value="$$user_url;">
      </td>
    </tr><tr>
      <td>
	  User->Group(s) URL:
	  <br><font size=-1 color=gray>$u gets expanded as username</font>
      </td><td>
	  <input type=text size=40 name=_add_text_group_url 
	   value="$$group_url;">
      </td>
    </tr><tr>
      <td>Binddn:</td>
      <td>
	 <input type=text size=40 name=_add_text_binddn value="$$binddn;">
      </td>
    </tr><tr>
      <td>Password:</td>
      <td>
	 <input type=text size=10 name=_add_text_passwd value="$$passwd;">
      </td>
    </tr>
    </table>

    <input type=submit value=Update>
  </form>

$$else;
  <ul>
  <a href="users.asp?server=$$server;">Configure users</a><br>
  <a href="groups.asp?server=$$server;">Configure groups</a>
  </ul>
$$endif;
</dl>

$$set _base=$$_base2;;


<p><hr size=1 width=80%>
<dl>
<dt><font size=+1><b>Verbose mode</b></font>
<dd>

Enables extra verbose logging to the webserver error log file
(generally <tt>/usr/local/zeus/web/log/errors</tt>) which can aid debugging
access control rules.  Note enabling this option can generate a lot of
trace info, and shouldn't be enabled for a 'live' site.

<form action="/apps/admin/regupdate.cgi" method=post>
<input type=hidden name="_base" value="$$_base;">
<input type=hidden name=_redirect value="$$back;">
<input type=hidden name=_add_boolean_verbose value=no>
Verbose mode:
<input type=checkbox name=_add_boolean_verbose value=yes $$if verbose=yes;checked$$endif;>
<input type=submit value="Update">
</dl>


$$include /../footer.asp;


