<%

## Moves a rule up, then redirects back to the rules page

zap::getrequest { server rule }
set server $asp::input(server)
set rule   $asp::input(rule)

set branch "conf!web!servers!$server!modules!access!rules";

# We move up by swapping with the previous rule

set prev [expr $rule - 1]

if [ catch { 
    reg::rename "$branch!$prev" tmp
    reg::rename "$branch!$rule" $prev
    reg::rename "$branch!tmp"   $rule
} result ] {
    if { [ string match "*Access denied" $result ] } {
	asp::authenticate "Registry update"
    }
    zap::error "Error updating registry: $result"
}

# Now redirect back to front
asp::redirect "/apps/web/modules/access/rules.asp?server=$server"

%>

