<! Required variables
   server
>
$$set _base=conf!web!servers!$$server;!modules!distributed;
$$set help=/apps/web/docs/modules/distributed/index.html;

<title>$$server; - Distributed Authentication and Content API Configuration</title>

$$set edittitle=Distributed Authentication and Content API;
$$include /../header.asp;

The distributed module implements the Zeus Distributed Authentication
and Content API. The ZDAC API allows the web server to interact with
external authentication servers and content generation servers over a
TCP/IP socket interface. The Distributed module also implements
support for Java Servlets.  Information on how to program with the
ZDAC API is available in the documentation system.

<p><hr size=1 width=80%>

<dl>
<dt><font size=+1><b>Authentication API</b></font>
<dd>

$$if authd!urls=yes;
   <form action="/apps/admin/regupdate.cgi" method=post>
   <input type=hidden name=_base value="$$_base;">

   <table border=5>
     <tr>
        <td bgcolor=#aaaaaa>URL</td>
        <td bgcolor=#aaaaaa>Server</td>
        <td bgcolor=#aaaaaa>Realm</td>
     </tr>
     $$for i in authd!urls;
     <tr>
        <td bgcolor=#cccccc>$$i;</td>
        <td bgcolor=#cccccc>$$authd!urls!$$i;!server;</td>
        <td bgcolor=#cccccc>$$authd!urls!$$i;!realm;</td>
        <td><input type=submit name="authd!urls!_del_$$i;" value=Delete></td>
     </tr>
     $$next;
   </table>
   </form>
$$else;
   <i>No authd interfaces enabled</i>
$$endif;

<p>
<dt><b>Add Authd interface</b>
<dd>
<form action="newauthd.zap" method=post>
<input type=hidden name=server    value="$$server;">
<input type=hidden name=_redirect value="$$back;">
<table>
  <tr>
    <td>Docroot path:</td>
    <td><input type=text size=20 value="/" name="url"></td>
  </tr>
  <tr>
    <td>Remote machine:
        <br><font size=-1>hostname:port</font>
    </td>
    <td><input type=text size=20 value="" name="remoteserver"></td>
  </tr>
  <tr>
    <td>Realm:</td>
    <td><input type=text size=30 value="Enter your text here"
    name="realm"></td>
    <td><input type=submit value=Add></td>
  </tr>
</table>
</form>  
    

</dl>

<dl>
<dt><font size=+1><b>Content API</b></font>
<dd>

$$if sockd!mappings=yes;
  <form action="/apps/admin/regupdate.cgi" method=post>
  <input type=hidden name=_base value="$$_base;">

  <table border=5>
    <tr>
      <td bgcolor=#aaaaaa><b>Docroot path</b></td>
      <td bgcolor=#aaaaaa><b>Content Server</b></td>
    </tr>
    $$for i in sockd!mappings;
    <tr>
      <td bgcolor=#cccccc>$$i;</td>
      <td bgcolor=#cccccc>$$sockd!mappings!$$i;;</td>
      <td><input type=submit name="sockd!mappings!_del_$$i;"
      value=Delete></td>
    </tr>
    $$next;
  </table>
</form>

$$else;
<! there aren't any servers >
<i>No content servers are currently defined.</i>
$$endif;

<p>

<form action="/apps/admin/regupdate.cgi" method=post>
<input type=hidden name=_base value="$$_base;">

<table>
  <tr>
    <td>Service name:</td>
    <td><input type=text size=20 value=""
    name="sockd!mappings!_addbr_text_id1"></td>
  </tr>
  <tr>
    <td>Content server:<br><font size=-1>(host:port) </td>
    <td><input type=text size=20 value="" name=id1></td>
    <td><input type=submit value=Add></td>
  </tr>
</table>
</form>


Services are referenced as <tt>&lt;service prefix&gt;/&lt;service
name&gt;</tt>, where <tt>&lt;service prefix&gt;</tt> could be
<tt>/distributed</tt> for example.

<form action="/apps/admin/regupdate.cgi" method=post>
<input type=hidden name=_base value="$$_base;">
<input type=hidden name=_redirect value="$$back;">
Service prefix:
<input type=text size=20 value="$$sockd!prefix;" name=sockd!_add_text_prefix>
<input type=submit value=Update>
</form>
</dl>


<dl>
<dt><font size=+1><b>Java Servlets</b></font>
<dd>

<form action="/apps/admin/regupdate.cgi" method=post>
<input type=hidden name=_base value="$$_base;">
<input type=hidden name=_redirect value="$$back;">
<table>
  <tr>
    <td>Service prefix:</td>
    <td><input type=text size=20 value="$$servlet!prefix;" 
         name=servlet!_add_text_prefix></td>
  </tr>
  <tr>
    <td>Servlet server:<br><font size=-1>(host:port)</td>
    <td><input type=text size=20 value="$$servlet!server;" 
         name=servlet!_add_text_server></td>
    <td><input type=submit value=Update></td>
  </tr>
</table>
</form>


     
$$include /../footer.asp;

