<%
## Adds a new authd interface
##
## Arguments
##  server
##  url
##  realm
##  remoteserver
##  _redirect

# Decode & check input
zap::getrequest { server url realm remoteserver _redirect }
set server       $asp::input(server)
set url          $asp::input(url)
set realm        $asp::input(realm)
set remoteserver $asp::input(remoteserver)
set _redirect    $asp::input(_redirect)

if { [ catch { 
    set br "conf!web!servers!$server!modules!distributed!authd!urls"
    reg::addbranch -force "$br!$url"
    reg::add "$br!$url!server" $remoteserver text
    reg::add "$br!$url!realm"  $realm text
} result ] } {
    if { [ string match "*Access denied" $result ] } {
	asp::authenticate "Registry update"
    }
    zap::error "Unable to update registry: $result"
}

# It succeded
if { $_redirect == "" } { set $_redirect "/apps/web/" }
asp::redirect "$_redirect"
%>
