<! Required variables
   server
>
$$set help=/apps/web/docs/modules/errors/index.html;
$$set _base=conf!web!servers!$$server;!modules!errors;

<title>$$server; - Error page configuration</title>

$$set edittitle=Error Page Configuration;
$$include /../header.asp;

This module generates customisable HTML error pages.  When an error
needs to be returned to the client, the module will look in the
configured error page directory for the file "xxx.html", where xxx is
the number of the error that occurred ( e.g. 404 for file not found ).
This file is always Server-Side-Included, regardless of its
mime-type.

<p><hr size=1 width=80%>

<form action="/apps/admin/regupdate.cgi" method=post>
<input type=hidden name=_base value="$$_base;">
<input type=hidden name=_redirect value="$$back;">

Directory:
<input type=text size=30 value="$$directory;" name=_add_text_directory>
<p>
<input type=submit value=Update>
</form>

<hr>

Fine grain control over error pages returned can be achieved with the
<a href="/apps/web/docs/modules/htaccess/index.html">HTaccess</a>
<tt>ErrorDocument</tt> command.
     
$$include /../footer.asp;
