<%

## Adds a mount point, then redirects back to the jserv config page

zap::getrequest { mount host server port zone }
set server $asp::input(server)

set branch "conf!web!servers!$server!modules!jserv!mounts!$asp::input(mount)";

## Do the biz
if [ catch {
    reg::add -force "$branch!server" $asp::input(host) text 
    reg::add -force "$branch!port"   $asp::input(port) integer
    reg::add -force "$branch!zone"   $asp::input(zone) text
} result ] {
    if { [ string match "*Access denied" $result ] } {
	asp::authenticate "Registry update"
    }
    zap::error "Error updating registry: $result"
}

# Now redirect back to jserv page
asp::redirect "/apps/web/modules/jserv/config.asp?server=$server&back=/apps/web/modules.zap?server=$server"

%>
