<! Required variables
   server
>

$$set help=/apps/web/docs/ssl.html;
$$set _base=conf!web!servers!$$server;!security;
$$set back=/apps/web/edit.zap?server=$$server;;

<title>$$server; - Secure Server Configuration</title>

$$include /etc/header.asp;

$$set edittitle=Secure Server Configuration;
$$include /editheader.html;

<form action="/apps/admin/regupdate.cgi" method=post>
<input type=hidden name="_base" value="$$_base;">
<input type=hidden name=_redirect value=$$back;>

<dl>
<dt><font size=+1><b>Security Enabled</b></font>
<dd>

<input type=hidden name=_add_boolean_enabled value=no>

Do you want to enable Secure Socket Layer encryption.  This will
provide both security and cryptographic authentication of all requests.
If enabled, all browsers must use 'https://', instead of 'http://'

<p>
Enabled: 
<input type=checkbox name=_add_boolean_enabled value=yes $$if enabled=yes;checked$$endif;>

<p>

<hr>
Keys may be created using the command line <tt>cert</tt> utility or
using the <a href="/apps/admin/certs/">web-based certificate
generation</a> page.

<p>

<p><dt><font size=+1><b>Public Certificate File</b></font>

<dd>
This is the name of the file that contains the X509 Certificate which contains your public key.<br>

<input type=text value="$$public_key;" size=40 name=_add_text_public_key>

<p><dt><font size=+1><b>Private Key File</b></font>

<dd>
This is the name of the file that contains the RSA Private Key.<br>
<input type=text value="$$private_key;" size=40 name=_add_text_private_key>

<p><dt><font size=+1><b>Client Certificate Support</b></font>

<dd>

Client-side certificates can be requested if available from clients
and used for authenticating individual people.  Certificate
information when available is provided in the standard environment.

<br>


<select name="_add_integer_client_cert">
$$if client_cert=0;
  <option value="0">Do not request client certificates
  <option value="1">Request client certificates if available
  <option value="2">Require client certificate for access
$$endif;

$$if client_cert=;
  <option value="0">Do not request client certificates
  <option value="1">Request client certificates if available
  <option value="2">Require client certificate for access
$$endif;

$$if client_cert=1;
  <option value="1">Request client certificates if available
  <option value="0">Do not request client certificates
  <option value="2">Require client certificate for access
$$endif;

$$if client_cert=2;
  <option value="2">Require client certificate for access
  <option value="0">Do not request client certificates
  <option value="1">Request client certificates if available
$$endif;

</select>


</dl>



<p>
<input type=submit value=Update>


</form>

$$include /etc/footer.html;
